#!/usr/bin/env lua
-- DESCR: optimize SWR for 50Ω feed
local worst_loss = 0.0
local state = nil
local done
for line in io.lines() do
  if line:find(" ANTENNA INPUT PARAMETERS ") then
    state = "impedance"
    done = false
  elseif state == "impedance" then
    local real, imag = line:match("^ +[-+0-9.Ee]+ +[-+0-9.Ee]+ +[-+0-9.Ee]+ +[-+0-9.Ee]+ +[-+0-9.Ee]+ +[-+0-9.Ee]+ +([-+0-9.Ee]+) +([-+0-9.Ee]+) ")
    if real then
      real, imag = tonumber(real), tonumber(imag)
      if real <= 0 then
        print("-999")
        return
      end
      real = real / 50
      imag = imag / 50
      local loss = math.log(4*real / (real*real + 2*real + imag*imag + 1), 10) * 10
      worst_loss = math.min(worst_loss, loss)
      done = true
    elseif done then
      state = nil
    end
  end
end
print(worst_loss)
